Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.websphere.personalization
Class PersonalizationException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.ibm.websphere.personalization.PersonalizationException

All Implemented Interfaces:
  java.io.Serializable

    public class PersonalizationException

extends java.lang.Exception
implements java.io.Serializable

This class represents an exception that can be thrown from the Personalization component.

See Also:
  Serialized Form

Field Summary
`static int` | `ERROR`
`protected java.lang.String` | `errorKey`
`protected int` | `errorType`
`static int` | `INFORMATION`
`protected java.lang.String[]` | `msgArguments`
`static int` | `WARNING`

Constructor Summary
`PersonalizationException()` PersonalizationException constructor.
`PersonalizationException(int anErrorType, java.lang.String anErrorKey)`
`PersonalizationException(int anErrorType, java.lang.String anErrorKey, java.lang.String[] msgArgs)`
`PersonalizationException(java.lang.String anErrorKey)`
`PersonalizationException(java.lang.String anErrorKey, java.lang.String[] msgArgs)`
`PersonalizationException(java.lang.String anErrorKey, java.lang.String[] msgArgs, java.lang.Throwable t)`
`PersonalizationException(java.lang.String s, java.lang.Throwable t)`
`PersonalizationException(java.lang.Throwable t)`

Method Summary
`java.lang.String` | `getErrorKey()`
`int` | `getErrorType()`
`java.lang.String` | `getLocalizedMessage()`
`java.lang.String` | `getMessage()`
`java.lang.String[]` | `getMessageArgs()`
`void` | `setErrorKey(java.lang.String newErrorKey)`
`void` | `setErrorType(int newErrorType)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ERROR

    public static final int ERROR

See Also:
  Constant Field Values

### WARNING

    public static final int WARNING

See Also:
  Constant Field Values

### INFORMATION

    public static final int INFORMATION

See Also:
  Constant Field Values

### errorKey

    protected java.lang.String errorKey

### errorType

    protected int errorType

### msgArguments

    protected java.lang.String[] msgArguments

Constructor Detail

### PersonalizationException

    public PersonalizationException()

  PersonalizationException constructor.

### PersonalizationException

    public PersonalizationException(java.lang.String anErrorKey)

### PersonalizationException

    public PersonalizationException(int anErrorType,
                                    java.lang.String anErrorKey)

### PersonalizationException

    public PersonalizationException(java.lang.String anErrorKey,
                                    java.lang.String[] msgArgs)

### PersonalizationException

    public PersonalizationException(java.lang.String anErrorKey,
                                    java.lang.String[] msgArgs,
                                    java.lang.Throwable t)

### PersonalizationException

    public PersonalizationException(int anErrorType,
                                    java.lang.String anErrorKey,
                                    java.lang.String[] msgArgs)

### PersonalizationException

    public PersonalizationException(java.lang.String s,
                                    java.lang.Throwable t)

### PersonalizationException

    public PersonalizationException(java.lang.Throwable t)

Method Detail

### getMessage

    public java.lang.String getMessage()

  Overrides:
    `getMessage` in class `java.lang.Throwable`

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `java.lang.Throwable`

### getErrorKey

    public java.lang.String getErrorKey()

  Returns:
    java.lang.String

### getErrorType

    public int getErrorType()

  Returns:
    int

### setErrorKey

    public void setErrorKey(java.lang.String newErrorKey)

  Parameters:
    `newErrorMessageKey` - java.lang.String

### setErrorType

    public void setErrorType(int newErrorType)

  Parameters:
    `newErrorType` - int

### getMessageArgs

    public java.lang.String[] getMessageArgs()

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD